/*
 Fade

 This example shows how to fade an LED on pin 9
 using the analogWrite() function.
 This example code is in the public domain.

 Aditional: pot + s1 off + s2 on + AD + serial plot

 */

int led = 9;           // the pin that the LED is attached to
int brightness = 0;    // how bright the LED is
int fadeAmount = 5;    // how many points to fade the LED by
int s1 = 2;
int s2 = 3;

// the setup routine runs once when you press reset:
void setup() {
  // declare pin 9 to be an output:
  pinMode(led, OUTPUT);
  pinMode(s1, INPUT_PULLUP);
  pinMode(s2, INPUT_PULLUP);
  Serial.begin(9600);
}

// the loop routine runs over and over again forever:
void loop() {
  // set the brightness of pin 9:
  analogWrite(led, brightness);
  Serial.print(brightness); 
  int U = analogRead(A2);
  Serial.print( " ");  
  Serial.print(U/4);
  Serial.println ( " "); 
  // change the brightness for next time through the loop:
  brightness = brightness + fadeAmount;

  // reverse the direction of the fading at the ends of the fade:
  if (brightness == 0 || brightness == 255) {
    fadeAmount = -fadeAmount ;
  }
  // wait for ... milliseconds to see the dimming effect
  delay(analogRead(A0)/10+10);
  if (digitalRead(s1) == LOW){
    analogWrite(led,0);
    while (digitalRead(s2) == HIGH);
  } 
}

